WordPress 3.0.4 Sürümü Çıktı

Yılbaşında wordpress 3.1 stabil sürümüyle karşımıza çıkmayı planlayan WordPress ekibi yılın son gününde wordpress 3.0.4 ile acil kritik güncellemesi duyurdu. Olabildiğince erken güncelleme yapmanızı belirten duyuruda, çok önemli hataların giderildiğini belirtiyor. Çok fazla dosyada değişiklik yapmamış olan wordpress ekibi hemen güncelleyebilmemiz için yönetim panelinin en tepesine uyarı olarak güncellemeyi yerleştirmiş.

Ayrıca yeniyıl tatili sırasında böyle bir güncellemenin hoş olmadığını da yineleyerek, aksi takdirde kötü zihniyetli kullanıcılar tarafından blog’unuzun zarar görebileceği vurgulanmış.

Eğer güvenlik ile ilgilenen biriseyseniz değişiklik kodlarına bakıp geri besleme istediklerini söylemişler. Muhtemelen wordpress 3.1 sürümünü yayınlamadan evvel daha başka yerlerde XSS uyarısı verebilecek açık kalıp kalmadığını kontrol etmek istiyorlar.

WordPress 3.0.3 Sürümü Çıktı

WordPress 3.0.2 sürümüne daha ay başında güncelleme yapmamıza rağmen 8 günden sonra tekrar güncelleme yapmak zorundayız. Güncellemeye neden olan ise gene güvenlik açığı. Ancak herkesin acilen yapmasına gerek yok gibi duruyor. Çünkü güvenlik zaafiyetine sebep olan durum, blogunuzda uzaktan yayınlama özelliğini kullanıyorsanız oluşuyormuş.

Daha öncesinde bahsettiğimiz bloglar için ScribeFire firefox eklentisi‘ni kullanabilmeniz için uzaktan yayınlamanın açık olması gerekiyordu. Eğer açık değilse güvenlikden ötürü gelen wordpress güncellemesi sizi açıkçası pek bağlamıyor. Ayrıca açıktan ötürü oluşan güvenlik probleminin sonucunda yazarlar ve katkıda bulunanlar olarak atanmış üyelere yazıları silme, düzenleme ve yayınlama hakkı veriyormuş.

WordPress uzaktan yayınlamanın açık olup olmadığına bakmak için Ayarlar>Yazma kısmında bulunan Uzaktan yayınlamanın iki seçeneğini de kontrol edebilirsiniz.

WordPress 2.9.2 Sürümü Çıktı

WordPress 2.9.1 sürümünden sonra dün gece itibariyle WordPress ekibi 2.9.2 sürümünü yayınladı. Thomas Mackenzie bildirdiği güvenlik açığı WordPress 2.9 sürümüyle gelen çöp kutusundan kaynaklanıyor. Eğer sisteminizde birden fazla kullanıcı var ise ve bunlar arasında güvenilir olmayanlar var ise hemen güncellemenizi öneriyorlar. Çünkü bu açık yüzünden çöp kutusunda yer alan diğer yazarlara ait yazılar okunabiliyor . WordPress sürümünüz eğer 2.9 dan daha eski ise yada sadece tek yazar varsa bu güncellemeye ihtiyacınız yok.

WordPress 2.9.1 Sürümü Çıktı. Lütfen Güncelleyiniz!

WordPress 2.9 sürümü çıkalı henüz 15 gün bile olmamasına rağmen bu sabah 2.9.1 sürümüne güncellememiz için uyarı vermeye başladı.WordPress 2.9 sürümünü milyondan fazla kullanıcının indirmesi üzerine çok fazla geridönüş aldıklarını söyleyen WordPress ekibi 2.9.1 sürümünü yayınlamakta gecikmedi. Tabi her kullanıcının sunucusu farklı olduğundan dolayı bazı özelliklerin çalışmadığından bahsedilmiş. Zamanlanmış yazılar ve pingback gibi fonksiyonlar bazı hostlar ile uyumlu değilmiş. Eğer böyle sıkıntılarınız var ise Araçlar/Güncelle menüsünden otomatik olarak sürümü yükseltebilirsiniz. Görünen o ki güncellemenin amacı güvenlikten ziyade host problemi dilerseniz sizin böyle sıkıntınız yok ise sürümünüzü güncellemenize gerek yok.